micro_utils.dokka
0.15.1

# Package-level declarations

## Types

IetfLanguageCode
Link copied to clipboard
@Serializable(with = IetfLanguageCodeSerializer::class)
sealed class IetfLanguageCode

This class has been automatically generated using https://github.com/InsanusMokrassar/MicroUtils/tree/master/language_codes/generator . This generator uses https://datahub.io/core/language-codes/ files (base and tags) and create the whole hierarchy using it.

IetfLanguageCodeSerializer
Link copied to clipboard
object IetfLanguageCodeSerializer : KSerializer<IetfLanguageCode>

## Functions

asIetfLanguageCode
Link copied to clipboard
fun String.asIetfLanguageCode(): IetfLanguageCode
convertToIetfLanguageCode
Link copied to clipboard
fun convertToIetfLanguageCode(code: String): IetfLanguageCode
IetfLanguageCode
Link copied to clipboard
fun IetfLanguageCode(code: String): IetfLanguageCode